<div id="buildings" class="page-layout carded fullwidth inner-scroll">
    <!-- TOP BACKGROUND -->
    <div class="top-bg accent" style="height: 154px;"></div>
    <!-- / TOP BACKGROUND -->
    <!-- CENTER -->
    <div class="center">
        <!-- HEADER -->
        <div class="header accent small" fxLayout="column" fxLayoutAlign="center center" fxLayout.gt-sm="row"
            fxLayoutAlign.gt-sm="space-between center">
            <!-- APP TITLE -->
            <div class="logo mb-24 mb-md-0" fxLayout="row" fxLayoutAlign="start center"
                style="max-height: 90px !important; min-height: 90px !important; margin-top: -20px;">
                <mat-icon class="logo-icon s-32 mr-16" [@animate]="{value:'*',params:{delay:'50ms',scale:'0.2'}}">
                    location_city
                </mat-icon>
                <div style="background-color:white;" class="search-wrapper mx-32 mx-md-0">
                    <div class="search" fxFlex fxLayout="row" fxLayoutAlign="start center">
                        <mat-icon style="color:#444;">search</mat-icon>
                        <input (keyup)="applyFilter($event.target.value)" #filter placeholder="Search for a customer">
                    </div>
                </div>

                <!-- <div style="background-color:white;" class="search-wrapper mx-32 mx-md-0">
                    <div class="search" fxFlex fxLayout="row" fxLayoutAlign="start center">
                        <mat-icon style="color:#444;">search</mat-icon>
                        <input (keyup)="applyFilter($event.target.value)" #filter placeholder="Search for a building">
                    </div>
                </div> -->
             
            </div>
            <div>
                <mat-paginator style="border-radius: 32px;height: 50px;
                margin-top: -21px; align-items: center;display: flex;" [pageSize]="10" [pageSizeOptions]="[5,10,25,50,100]" #paginatorRef></mat-paginator>
            </div>
            <!-- <mat-paginator [pageSize]="10" [pageSizeOptions]="[5,10,25,50,100]"></mat-paginator> -->
          



        </div>
        <div flLayout="row" style="margin-top: -23px"  fxLayoutAlign="start center">
            <nav mat-tab-nav-bar [backgroundColor]="background">
                <a mat-tab-link *ngFor="let link of links" style="color: white;" (click)="displayCustomersBy(link)"
                    [active]="activeLink == link"> {{link}} </a>
                    <div class="res-circle">
                        <div class="circle-txt">{{badgeVal}}</div>
                      </div>
                      
                    <!-- <div class="circle">{{badgeVal}}</div> -->
                    <!-- <span matBadge="4" matBadgeOverlap="false" matBadgeColor="accent">{{badgeVal}}</span> -->

                <!-- <a mat-tab-link disabled>Disabled Link</a> -->
            </nav>
        </div>

        <!-- / HEADER -->

        <!-- ADD BUTTON -->
        <button class="add-button" mat-fab color="primary" id="add-button" (click)="addCustomer()">
            <mat-icon>add</mat-icon>
        </button>
        <button class="scroll-button" mat-fab color="primary" id="add-button" (click)="container.scrollTo(0,0)">
            <mat-icon>arrow_upward</mat-icon>
        </button>

        <!-- CONTENT CARD -->
        <div #container class="content-card" style="overflow: auto;
        max-height: 608px;
        margin-top: -60px;">
            <table mat-table [dataSource]="dataSource" multiTemplateDataRows matSort class="mat-elevation-z8">
                <ng-container matColumnDef="slno">
                    <mat-header-cell *matHeaderCellDef mat-sort-header>Sl.No</mat-header-cell>
                    <mat-cell *matCellDef="let allCustomers;let i=dataIndex">
                        <p class="text-truncate">{{ paginatorRef.pageIndex * paginatorRef.pageSize + i + 1}}</p>
                    </mat-cell>
                </ng-container>
                <!-- First Name Column -->
                <ng-container matColumnDef="name">
                    <mat-header-cell *matHeaderCellDef mat-sort-header>Name</mat-header-cell>
                    <mat-cell *matCellDef="let allCustomers">
                        <p class="text-truncate">{{allCustomers.fullName}}</p>
                        <mat-icon class="verified-icon" *ngIf="allCustomers.user_id">verified_user</mat-icon>
                    </mat-cell>
                </ng-container>
                <ng-container matColumnDef="mobile">
                    <mat-header-cell *matHeaderCellDef mat-sort-header>Mobile</mat-header-cell>
                    <mat-cell *matCellDef="let allCustomers">
                        <p class="text-truncate">{{allCustomers.mobile}}</p>
                    </mat-cell>
                </ng-container>
                <!-- <ng-container matColumnDef="location">
                    <mat-header-cell *matHeaderCellDef mat-sort-header>Location</mat-header-cell>
                    <mat-cell *matCellDef="let allCustomers">
                        <p class="text-truncate">{{allCustomers.Location}}</p>
                    </mat-cell>
                </ng-container> -->
                <ng-container matColumnDef="building">
                    <mat-header-cell *matHeaderCellDef mat-sort-header>Building</mat-header-cell>
                    <mat-cell *matCellDef="let allCustomers">
                        <p class="text-truncate" *ngIf="allCustomers.location!=''">{{allCustomers.building_name}}, {{allCustomers.location}}</p>
                    </mat-cell>
                </ng-container>
                <ng-container matColumnDef="edit">
                    <mat-header-cell *matHeaderCellDef mat-sort-header>
                        <span *ngIf="activeLink == 'Active' && activeLink == 'SelfRegisteredCustomers' ">
                            Edit
                        </span>
                    </mat-header-cell>
                    <mat-cell style="cursor: pointer;min-width: 40px;" *matCellDef="let allCustomers">
                        <mat-icon (click)="editCustomer(allCustomers);$event.stopPropagation()"
                            *ngIf="allCustomers.cust_status==1">edit</mat-icon>
                    </mat-cell>
                </ng-container>
                <ng-container matColumnDef="delete">
                    <mat-header-cell *matHeaderCellDef mat-sort-header>
                        <span *ngIf="activeLink=='Active' && activeLink == 'SelfRegisteredCustomers'">
                            Delete
                        </span>
                    </mat-header-cell>
                    <mat-cell style="cursor: pointer;min-width: 40px;" *matCellDef="let allCustomers">
                        <mat-icon style="color: red;" *ngIf="allCustomers.cust_status==1"
                            (click)='deleteCustomer(allCustomers)'>delete</mat-icon>
                        <button mat-raised-button style="background-color: #F1E983;font-size:12px;"
                            *ngIf="allCustomers.cust_status==0"
                            (click)="activateCustomer(allCustomers)">Activate</button>
                    </mat-cell>
                </ng-container>
                <ng-container matColumnDef="expand">
                    <mat-header-cell *matHeaderCellDef mat-sort-header></mat-header-cell>
                    <mat-cell *matCellDef="let allCustomers" style="padding: 0;">
                        <div>
                            <img class="expand-imag" src="assets/svgs/iconmonstr-angel-down-thin.svg" />
                        </div>
                    </mat-cell>
                </ng-container>

                <ng-container matColumnDef="expandedDetail">
                    <!-- <td mat-cell *matCellDef="let element" [attr.colspan]="displayedColumns.length">  
                        activeLink=='Active' && activeLink == 'SelfRegisteredCustomers'-->
                    <div style="width: 100%;" mat-cell *matCellDef="let allCustomers"
                        [attr.colspan]="displayedColumns.length" class="example-element-detail"
                        [@detailExpand]="allCustomers == expandedElement ? 'expanded' : 'collapsed'">
                        <mat-card style="width: 100%; background: #efebeb;">
                            <mat-list>
                                <div *ngFor="let vehicle of allCustomers.vehicles">
                                    <!-- <p>inside vehicles: {{vehicle.number}} --- {{vehicle.end_date}} -- {{activeLink}}</p> -->
                                    <mat-list-item *ngIf="(activeLink=='Active' || activeLink == 'SelfRegisteredCustomers') && (vehicle.end_date==null)">
                                        <!-- <p>inside vehicle list</p> -->
                                        <div fxLayout="row" style="width:100%" >
                                            <div fxFlex="20">
                                                <h3 align="center">Vehicle: {{vehicle.number}}</h3>
                                            </div>
                                            <div fxFlex="45">
                                                <div align="center">
                                                    <mat-chip-list aria-label="Vehicle selection">
                                                        <div *ngFor="let day of vehicle.weekdays">
                                                            <mat-chip *ngIf="day.value" class="primary">{{day.day}}
                                                            </mat-chip>
                                                        </div>
                                                    </mat-chip-list>
                                                </div>
                                            </div>
                                            <div fxFlex="25">
                                                <h3 align="center">Cleaner: {{vehicle.worker_name}}</h3>
                                            </div>
                                            <div fxFlex="10">
                                                <h3 align="center"></h3>
                                                <button mat-raised-button (click)=getWorkDetails(vehicle)>Show
                                                    Work</button>
                                            </div>
                                        </div>

                                    </mat-list-item>
                                    <mat-list-item *ngIf="activeLink=='Inactive'">
                                        <div fxLayout="row" style="width:100%" >
                                            <div fxFlex="20">
                                                <h3 align="center">Vehicle: {{vehicle.number}}</h3>
                                            </div>
                                            <div fxFlex="45">
                                                <div align="center">
                                                    <mat-chip-list aria-label="Vehicle selection">
                                                        <div *ngFor="let day of vehicle.weekdays">
                                                            <mat-chip *ngIf="day.value" class="primary">{{day.day}}
                                                            </mat-chip>
                                                        </div>
                                                    </mat-chip-list>
                                                </div>
                                            </div>
                                            <div fxFlex="25">
                                                <h3 align="center">Cleaner: {{vehicle.worker_name}}</h3>
                                            </div>
                                            <div fxFlex="10">
                                                <h3 align="center"></h3>
                                                <button mat-raised-button (click)=getWorkDetails(vehicle)>Show
                                                    Work</button>
                                            </div>
                                        </div>

                                    </mat-list-item>
                                </div>

                            </mat-list>
                        </mat-card>
                    </div>
                </ng-container>

                <mat-header-row *matHeaderRowDef=" displayedColumns"> </mat-header-row>
                <mat-row *matRowDef="let allCustomers; columns: displayedColumns;" class="example-element-row"
                    [class.example-expanded-row]="expandedElement === allCustomers"
                    [ngClass]="allCustomers.cust_status == 0?'deletedCustomer':''"
                    (click)="expandedElement = expandedElement === allCustomers ? null : allCustomers"> </mat-row>
                <mat-row mat-row *matRowDef="let row; columns: ['expandedDetail']"
                    style="background: #e5e5da;min-height: 0;" class="example-detail-row">
                </mat-row>
            </table>
            <!-- <mat-paginator [pageSize]="10"  #paginatorRef [pageSizeOptions]="[5,10,25,50,100]"></mat-paginator> -->

        </div>
        <!-- / CONTENT CARD -->
    </div>
    <!-- / CENTER -->

</div>